<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="{{ path('home') }}">Gallerie Challtin</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="{{ path('home') }}">Home</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href={{ path('about') }}>A propos</a>
            </li><li class="nav-item">
                <a class="nav-link" href={{ path('team') }}>Équipe</a>
            </li>
        </ul>
    </div>
    <div class="d-flex">
        {% if not app.user %}
            <a href="{{ path('app_login') }}" type="button" class="btn btn-dark btn-sm"><i class="icofont-sign-in"></i> S'identifier</a>
            <a href="{{ path('app_register') }}" class="btn btn-dark btn-sm"><i class="icofont-user-alt-4"></i> S'enregistrer</a>
        {% else %}
            <div class="dropdown" style="padding-right: 25px;">
                <button class="btn btn-dark dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                    <img src="{{asset('img/avatar/') ~ app.user.imageName }}" class="img-avatar">&nbsp;&nbsp;{{ app.user.firstName }} {{ app.user.lastName }}
                </button>
                <ul class="dropdown-menu">
                    <li><a class="dropdown-item" href="{{ path('app_user') }}">Voir profil</a></li>
                    <li><a class="dropdown-item" href="{{ path('app_edit-profile') }}">Modifier profil</a></li>
                    <li><a class="dropdown-item" href="{{ path('app_cart') }}"><i class="icofont-shopping-cart"></i>Panier</a></li>
                    {% if is_granted('ROLE_ADMIN') %}
                        <li><hr class="dropdown-divider"></li>
                        <li><a class="dropdown-item text-danger" href="{{ path('admin') }}">Administration</a></li>
                    {% endif %}
                    <li><hr class="dropdown-divider"></li>
                    <li><a href="{{path('app_logout')}}" class="dropdown-item">Se déconnecter</a></li>
                </ul>
            </div>
        {% endif %}

    </div>
</nav>
{% for label, messages in app.flashes %}
    {% for message in messages %}
        <div class="alert my-0 alert-{{ label }}">{{ message }}</div>
    {% endfor %}
{% endfor %}